PHP Manual
Prev |  | Next

# phpversion

(PHP 3, PHP 4, PHP 5)

phpversion -- Gets the current PHP version

## Description

string phpversion ( [string extension] )

Returns a string containing the version of the currently running PHP parser or extension.

## Parameters

`extension`

  An optional extension name.

## Return Values

If the optional `extension` parameter is specified, phpversion() returns the version of that extension, or `FALSE` if there is no version information associated or the extension isn't enabled.

## Examples

Example 1. phpversion() example

`<?php // prints e.g. 'Current PHP version: 4.1.1' echo 'Current PHP version: ' . phpversion(); // prints e.g. '2.0' or nothing if the extension isn't enabled echo phpversion('tidy'); ?>`

## Notes

> Note: This information is also available in the predefined constant `PHP_VERSION`.

## See Also

version_compare()
phpinfo()
phpcredits()
php_logo_guid()
zend_version()

Prev | Home | Next
phpinfo | Up | putenv